javax.media.opengl

## Enum Threading.Mode

- java.lang.Object
- - java.lang.Enum<Threading.Mode>
  - - javax.media.opengl.Threading.Mode

- All Implemented Interfaces:
    Serializable, Comparable<Threading.Mode>
  Enclosing class:
    Threading

      public static enum Threading.Mode
      extends Enum<Threading.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MT` Full multithreaded OpenGL, i.e.
    `ST_AWT` Single-Threaded OpenGL on AWT EDT
    `ST_WORKER` Single-Threaded OpenGL on dedicated worker thread.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Threading.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Threading.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MT

          public static final Threading.Mode MT

      Full multithreaded OpenGL, i.e. any `invoke` `commands` will be issued on the current thread immediately.

    - #### ST_AWT

          public static final Threading.Mode ST_AWT

      Single-Threaded OpenGL on AWT EDT

    - #### ST_WORKER

          public static final Threading.Mode ST_WORKER

      Single-Threaded OpenGL on dedicated worker thread.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static Threading.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Threading.Mode c : Threading.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Threading.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.